Package: org.gradle.api.artifacts.result

## [Java] Interface UnresolvedComponentResult

- org.gradle.api.artifacts.result.UnresolvedComponentResult

- All Superinterfaces:
    ComponentResult

  A component that could not be resolved.

  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Throwable` | `getFailure()` Returns the failure that occurred when trying to resolve the component.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentResult` | `getId`

- - ### Method Detail

    - #### public Throwable getFailure()

      Returns the failure that occurred when trying to resolve the component.